int mPins[7] = {0,1,2,3,4,5,6};
int maxValue[7] = {0,0,0,0,0,0,0};
int mValue[7] = {0,0,0,0,0,0,0};

void setup() {
  Serial.begin(9600);
  //init
  for(int i = 0;i < 7; i++){
    maxValue[i] = analogRead(mPins[i]);
   }
}

void loop() {
  for(int i = 0;i < 7;i++){
    mValue[i] = analogRead(mPins[i]);
    mValue[i] = rangeMapper(mValue[i],maxValue[i]);
    Serial.write(mValue[i]);
//    Serial.println(mValue[i]);
  }  
  delay(10);
}

int rangeMapper(int Value, int Max){
  int val = Max - Value;
  if(val < 0){
    val = 0;
  }
  if(val > 255){
    val = 255;
  }
  return val;
}
